package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.search.ProductListVo;
import com.caimei365.commodity.model.vo.ProductItemVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/16
 */
@Mapper
public interface ShopMapper {
    /**
     * 供应商-主推商品
     */
    List<ProductListVo> getMainProducts(Integer shopId, List<Integer> visibilityList);

    /**
     * 主推商品数量
     */
    int getMainProductsCount(Integer shopId);
    /**
     * 获取供应商-我的商品列表
     */
    List<ProductItemVo> getShopProductsSelect(Integer shopId, String name, String productCode, Integer validFlag, Integer featuredFlag, Integer typeSort, Integer bigTypeId, Integer smallTypeId, Integer tinyTypeId);
    /**
     * 列表显示分类
     */
    String getTypeName(Integer bigTypeId, Integer smallTypeId, Integer tinyTypeId);
    /**
     * 根据供应商Id获取userId
     */
    Integer getUserIdByshopId(Integer shopId);
}
